//*****************************************************************************
/// boot_screen.c

/// Company Name- Zera India Private limited.  
/// Author - Rajesh Varma
/// Date - 04/09/2017
/// Revision - 0

/// Remarks: Main loop consist of diffrent function implemented in switch case
///
//****************************************************************************
#include <stdbool.h>
#include <stdint.h>
#include <stdio.h>
#include <string.h>
#include "inc/hw_memmap.h"
#include "driverlib/sysctl.h"
#include "driverlib/gpio.h"
#include "driverlib/sysctl.h"
#include "grlib/grlib.h"
#include "drivers/frame.h"
#include "drivers/kentec320x240x16_ssd2119.h"
#include "drivers/pinout.h"
#include "macros.h"
#include "extern_variables.h"



float hardware,software;
//*****************************************************************************
///
/// void boot_screen_Load(void)
/// I/p: Nothing
/// O/P: noting
/// Remark: Showing incrasing bar filled with green colour(bootup screen)
//*****************************************************************************/
const unsigned char g_pucImage[] =
{
    IMAGE_FMT_8BPP_COMP,
    143, 0,
    57, 0,

    60,
    0xa9, 0xb6, 0x75,
    0xa9, 0xb7, 0x75,
    0xaa, 0xb7, 0x75,
    0xaa, 0xb8, 0x75,
    0xab, 0xb8, 0x75,
    0xac, 0xb9, 0x74,
    0xac, 0xb9, 0x75,
    0xaa, 0xb8, 0x78,
    0xac, 0xba, 0x75,
    0xad, 0xba, 0x75,
    0xac, 0xbb, 0x74,
    0xad, 0xbb, 0x74,
    0xad, 0xba, 0x76,
    0x96, 0x8a, 0xdd,
    0xae, 0xbb, 0x74,
    0xac, 0xbb, 0x75,
    0xad, 0xbb, 0x75,
    0xae, 0xbb, 0x75,
    0xac, 0xbc, 0x74,
    0xad, 0xbc, 0x74,
    0xad, 0xbb, 0x76,
    0xad, 0xba, 0x78,
    0xad, 0xbc, 0x75,
    0xaf, 0xbc, 0x75,
    0xae, 0xbb, 0x78,
    0x98, 0x8b, 0xe4,
    0x99, 0x8b, 0xe4,
    0x99, 0x8b, 0xe5,
    0x9a, 0x8b, 0xe5,
    0x9a, 0x8c, 0xe4,
    0x99, 0x8c, 0xe5,
    0x9a, 0x8c, 0xe5,
    0xb0, 0xbc, 0x7f,
    0x9a, 0x8c, 0xe6,
    0x9a, 0x8d, 0xe5,
    0x9a, 0x8f, 0xe2,
    0x9a, 0x8e, 0xe5,
    0xe1, 0xe9, 0xd8,
    0xe0, 0xea, 0xd7,
    0xe0, 0xe9, 0xd9,
    0xe0, 0xea, 0xd8,
    0xe1, 0xea, 0xd9,
    0xe0, 0xeb, 0xd8,
    0xe1, 0xeb, 0xd8,
    0xe0, 0xeb, 0xd9,
    0xe1, 0xeb, 0xd9,
    0xe2, 0xeb, 0xd9,
    0xe2, 0xea, 0xdc,
    0xe0, 0xec, 0xd9,
    0xe4, 0xeb, 0xdc,
    0xe5, 0xed, 0xe0,
    0xe6, 0xec, 0xe3,
    0xfd, 0xfe, 0xfe,
    0xfe, 0xfe, 0xfe,
    0xff, 0xfe, 0xfe,
    0xfe, 0xfe, 0xff,
    0xff, 0xfe, 0xff,
    0xfe, 0xff, 0xfe,
    0xff, 0xff, 0xfe,
    0xfe, 0xff, 0xff,
    0xff, 0xff, 0xff,

    0x00, 0x3c, 0x3c, 0x3c, 0x10, 0x10, 0x10, 0x10, 0x13, 0x0e, 0x0f, 0x10,
    0x0f, 0x0b, 0xba, 0x9a, 0xc3, 0x16, 0x02, 0x10, 0x11, 0x10, 0x10, 0x3c,
    0x3b, 0x01, 0x3c, 0xb0, 0x43, 0x0f, 0x89, 0x07, 0x10, 0x10, 0x12, 0x10,
    0x7b, 0x0f, 0x49, 0x12, 0x0c, 0x07, 0x13, 0x04, 0x5b, 0xbd, 0x09, 0x3b,
    0xe1, 0xc9, 0xd4, 0x81, 0x38, 0x61, 0xd8, 0x07, 0xbb, 0x35, 0x07, 0xbc,
    0x10, 0x10, 0x0f, 0x18, 0x10, 0x10, 0x13, 0x07, 0xbf, 0x10, 0x10, 0x11,
    0xaf, 0x03, 0x3c, 0x2d, 0x0b, 0x2f, 0x2a, 0x5b, 0x0f, 0xe8, 0x07, 0x3d,
    0x12, 0x13, 0x69, 0x3c, 0x3b, 0x3c, 0x38, 0x3c, 0x3c, 0xe9, 0xd4, 0xa4,
    0x3a, 0x11, 0x16, 0xc7, 0x03, 0xdb, 0x10, 0x10, 0x13, 0x07, 0x03, 0x2f,
    0x6a, 0x0b, 0xb7, 0x6a, 0x16, 0x42, 0x38, 0x01, 0x3c, 0x60, 0x3c, 0x6f,
    0x07, 0x10, 0x10, 0x0f, 0x10, 0x10, 0x1b, 0x14, 0x10, 0x10, 0x0f, 0x07,
    0x11, 0xc5, 0x5b, 0x40, 0x0b, 0x29, 0x3b, 0x3c, 0x3a, 0x38, 0x3c, 0x38,
    0x1b, 0x3c, 0x3c, 0x3c, 0xe9, 0xd4, 0x3c, 0x0e, 0xc2, 0x1a, 0x0f, 0x10,
    0x10, 0x27, 0x03, 0x11, 0x17, 0x0b, 0xe5, 0xb7, 0x6e, 0x02, 0x3c, 0x3c,
    0x06, 0x16, 0x07, 0xf5, 0x07, 0x0f, 0x07, 0x01, 0x0f, 0x04, 0x13, 0x3c,
    0x1f, 0x3c, 0x3c, 0x3c, 0xe9, 0xd4, 0xa3, 0x45, 0x14, 0x02, 0x10, 0x10,
    0x13, 0x3c, 0x3c, 0x3a, 0x07, 0x3c, 0x0f, 0x11, 0x10, 0x10, 0x0b, 0x07,
    0xaf, 0x75, 0x01, 0xc7, 0xe9, 0x37, 0x10, 0x10, 0x16, 0x07, 0x07, 0x0c,
    0xb4, 0x06, 0x13, 0x9f, 0x02, 0x11, 0x22, 0x3c, 0x3c, 0x61, 0x3c, 0xe9,
    0xd4, 0x3c, 0x3b, 0x3c, 0x3c, 0x25, 0xf1, 0xcd, 0x91, 0x07, 0x01, 0x10,
    0x10, 0x11, 0x01, 0x5b, 0x0b, 0x02, 0x0f, 0x06, 0xc6, 0x10, 0x01, 0xe9,
    0xb7, 0x4e, 0x11, 0x07, 0x94, 0x11, 0x04, 0x77, 0x02, 0x51, 0x0b, 0x01,
    0x12, 0x77, 0x10, 0x10, 0x13, 0x59, 0x0d, 0x3a, 0x3c, 0x3c, 0x3c, 0xe9,
    0xd4, 0x3c, 0x1a, 0xfa, 0x59, 0x05, 0x92, 0x0f, 0xbd, 0x3a, 0x7f, 0x0b,
    0xfd, 0x03, 0xd9, 0xbb, 0x05, 0x66, 0x51, 0x3b, 0x6d, 0x0f, 0x3c, 0x3c,
    0x3a, 0x38, 0xae, 0x0f, 0x04, 0xe9, 0x50, 0x3b, 0x6a, 0x12, 0x44, 0x13,
    0x10, 0x11, 0x3c, 0x1d, 0x3c, 0x3c, 0x35, 0xe1, 0xc9, 0xd2, 0x11, 0x44,
    0xc7, 0x14, 0xa2, 0x13, 0x3c, 0x39, 0x0f, 0xc6, 0x85, 0xfe, 0x03, 0xdb,
    0xb2, 0x5f, 0x77, 0x75, 0x3a, 0x36, 0xe9, 0xa6, 0x0f, 0x06, 0x3a, 0x63,
    0x11, 0x13, 0x39, 0xfe, 0xe2, 0x5c, 0x33, 0x09, 0x7a, 0x5a, 0xc6, 0x16,
    0x1f, 0x10, 0x0b, 0x10, 0x07, 0xbf, 0x74, 0x02, 0xe2, 0x03, 0x10, 0x10,
    0x0f, 0x11, 0x10, 0x10, 0x57, 0x83, 0x06, 0x0f, 0x09, 0x10, 0x10, 0x13,
    0x6e, 0x2c, 0x3b, 0xfe, 0x0f, 0xe2, 0xc2, 0x3e, 0x67, 0x5f, 0x33, 0x38,
    0x29, 0x3c, 0x3c, 0x32, 0x11, 0x0c, 0x11, 0x09, 0xbd, 0xf8, 0x07, 0xbf,
    0x74, 0x14, 0xd1, 0x11, 0x10, 0x0f, 0x6f, 0x10, 0x57, 0x57, 0x10, 0x67,
    0x27, 0x0f, 0x07, 0x98, 0x02, 0x38, 0x3b, 0x5f, 0x5f, 0x38, 0x3c, 0x3b,
    0x62, 0x35, 0x09, 0x3f, 0x10, 0x10, 0x0b, 0x01, 0x16, 0x07, 0x10, 0x0b,
    0x13, 0x16, 0x11, 0x02, 0xe2, 0xc6, 0xf5, 0x84, 0x09, 0xe9, 0xd2, 0x0a,
    0xa9, 0x3b, 0x4f, 0xbb, 0x44, 0x0b, 0x09, 0x6e, 0x2c, 0x3a, 0x0f, 0x02,
    0x96, 0xc2, 0x3c, 0x35, 0x01, 0x38, 0xd9, 0x5f, 0x0b, 0xb8, 0x59, 0x3c,
    0x4b, 0x31, 0x47, 0x10, 0x13, 0x10, 0x53, 0x0f, 0xda, 0x16, 0xb2, 0x10,
    0x0f, 0x16, 0xc6, 0xa2, 0x83, 0x10, 0x23, 0x10, 0x11, 0x11, 0xb9, 0x10,
    0x1e, 0x10, 0x3c, 0x38, 0x47, 0x83, 0x5c, 0x66, 0x3c, 0x78, 0x3a, 0xaf,
    0x0f, 0x07, 0x5f, 0x10, 0x10, 0x13, 0x25, 0x10, 0x13, 0x5f, 0x38, 0x3b,
    0x47, 0x10, 0x59, 0x2f, 0x10, 0x11, 0x9a, 0x16, 0x9c, 0x02, 0xd4, 0xa3,
    0x70, 0x38, 0x71, 0x12, 0x19, 0x11, 0x14, 0x10, 0x10, 0x2f, 0x0b, 0x10,
    0x7a, 0x3a, 0x04, 0x45, 0x0a, 0x7c, 0xf0, 0x4c, 0xa6, 0x0f, 0x05, 0x3b,
    0x3c, 0x3c, 0x3a, 0xe7, 0x5f, 0x5e, 0x3a, 0x3a, 0x3c, 0x4f, 0x63, 0x01,
    0x0f, 0x0b, 0x10, 0x10, 0x13, 0x8e, 0x6a, 0xc6, 0x09, 0xfd, 0x29, 0x32,
    0xd4, 0x07, 0x01, 0x46, 0x16, 0x4f, 0xf8, 0x17, 0x0f, 0xdb, 0x07, 0x67,
    0x10, 0x16, 0x11, 0xb3, 0x65, 0x3b, 0x47, 0x23, 0x3c, 0x35, 0x9f, 0x8b,
    0xfb, 0x13, 0xd4, 0xa4, 0x1f, 0x07, 0x35, 0x37, 0x22, 0x49, 0x0b, 0x01,
    0x16, 0x0c, 0x06, 0x10, 0x10, 0x1d, 0xd0, 0x0e, 0x5d, 0x38, 0x49, 0x3a,
    0x3c, 0x10, 0x11, 0x81, 0x5e, 0x11, 0x0b, 0x0b, 0x3c, 0x35, 0x35, 0x59,
    0xd9, 0x41, 0x29, 0x0b, 0x45, 0x7c, 0x10, 0x11, 0x8d, 0xf0, 0x85, 0x54,
    0x25, 0x2d, 0x0a, 0x11, 0x0b, 0x16, 0x26, 0x10, 0x3b, 0x03, 0x38, 0x36,
    0x37, 0x13, 0x11, 0xfd, 0xb7, 0x69, 0x2b, 0x0f, 0x5f, 0x73, 0x11, 0x6f,
    0xc7, 0x6e, 0x39, 0x3a, 0x3c, 0x3c, 0x42, 0x23, 0x5c, 0x0f, 0x13, 0x10,
    0x10, 0x16, 0x92, 0x7f, 0x4c, 0x19, 0x03, 0x3b, 0x10, 0x16, 0x0b, 0x11,
    0x0a, 0x25, 0x1f, 0xdb, 0x04, 0x52, 0x0b, 0x2e, 0xc6, 0x10, 0x0f, 0x34,
    0x20, 0x0f, 0x11, 0x06, 0x13, 0x10, 0x11, 0x0f, 0x11, 0x80, 0x92, 0x13,
    0x10, 0x10, 0x0b, 0x0b, 0x3c, 0x35, 0x01, 0x3c, 0x3b, 0x3c, 0x3c, 0x3c,
    0x3c, 0x35, 0xd2, 0x42, 0x16, 0x02, 0x10, 0x0f, 0x10, 0x10, 0x72, 0x3c,
    0x1d, 0x3c, 0x10, 0x11, 0xa9, 0x6b, 0x7b, 0x38, 0x51, 0x2f, 0x3a, 0x35,
    0x2a, 0x3a, 0x4e, 0x1f, 0x02, 0xcd, 0xf5, 0x27, 0x07, 0x72, 0x07, 0x09,
    0x05, 0x0b, 0x07, 0x20, 0x10, 0x13, 0x01, 0x0f, 0x10, 0x10, 0x16, 0x11,
    0x70, 0x10, 0x01, 0xe9, 0xd4, 0x3c, 0x3b, 0x0b, 0x10, 0x37, 0x10, 0x17,
    0x02, 0x4a, 0x35, 0x29, 0x81, 0x8b, 0xa2, 0x7a, 0x3b, 0x61, 0x3c, 0x3c,
    0x3a, 0xd3, 0x3b, 0xde, 0x47, 0x01, 0x0b, 0x3b, 0x13, 0x1b, 0x26, 0x0f,
    0x12, 0x10, 0x10, 0x16, 0xa6, 0x10, 0x10, 0x07, 0x08, 0x30, 0x08, 0x09,
    0x04, 0x1b, 0x13, 0x10, 0x10, 0x0b, 0x0b, 0x11, 0x10, 0x11, 0x0b, 0xab,
    0x3b, 0x02, 0xe2, 0x8d, 0xc1, 0x35, 0x3c, 0x3c, 0x02, 0xe2, 0x10, 0x3b,
    0xc9, 0x7f, 0x4a, 0x11, 0x38, 0x71, 0x3c, 0x36, 0xda, 0x81, 0x29, 0x10,
    0x0b, 0x10, 0x10, 0x14, 0x11, 0x15, 0xe8, 0x39, 0x1b, 0x25, 0x3c, 0x4d,
    0x10, 0x10, 0x0b, 0x28, 0x10, 0x18, 0xa7, 0x11, 0x07, 0x06, 0x08, 0x08,
    0x54, 0x09, 0x03, 0x16, 0x1e, 0x0b, 0x8b, 0x14, 0x10, 0x92, 0x04, 0x39,
    0x3b, 0xc4, 0x3c, 0x3c, 0x03, 0x11, 0xfb, 0x19, 0x39, 0x5b, 0x7b, 0x53,
    0x0b, 0x02, 0x6a, 0x52, 0x38, 0x4a, 0x0f, 0x39, 0x11, 0x11, 0x11, 0x13,
    0xf8, 0x01, 0x36, 0xc6, 0x21, 0x09, 0x10, 0x10, 0x0f, 0xe0, 0x2f, 0x07,
    0x02, 0x03, 0x04, 0x08, 0x08, 0x10, 0x00, 0x10, 0x0b, 0x10, 0x10, 0x10,
    0x10, 0x10, 0x16, 0x85, 0xd3, 0x10, 0x10, 0x13, 0x0f, 0x89, 0x0f, 0x04,
    0x2d, 0x3b, 0x3b, 0xc4, 0x3c, 0x71, 0x09, 0x11, 0x01, 0x0f, 0x38, 0x3c,
    0x3c, 0x3a, 0x6d, 0x71, 0xdb, 0x8b, 0xcf, 0x63, 0x51, 0x11, 0x0a, 0x3f,
    0x3f, 0x17, 0x2f, 0xe0, 0x27, 0x07, 0x02, 0x02, 0x03, 0x06, 0x08, 0x09,
    0xad, 0x02, 0x11, 0xd9, 0x0b, 0xda, 0x9a, 0x0b, 0x7a, 0x01, 0x3c, 0x3b,
    0x3c, 0x3a, 0x3c, 0x3c, 0x3c, 0xe9, 0x4b, 0x38, 0xc9, 0x10, 0x16, 0x21,
    0x0f, 0x02, 0x5a, 0x98, 0x72, 0x3c, 0x0e, 0x92, 0x72, 0x10, 0x10, 0x3c,
    0x61, 0x3b, 0x7a, 0x52, 0x10, 0x13, 0x10, 0x11, 0x4f, 0xfb, 0x5a, 0x3a,
    0xc6, 0x09, 0x23, 0x13, 0x1f, 0x07, 0x82, 0x04, 0x01, 0x03, 0x04, 0x08,
    0x08, 0x1a, 0x10, 0x04, 0x10, 0x0b, 0x3b, 0x3c, 0x3c, 0xb1, 0x13, 0x10,
    0x25, 0x11, 0x0f, 0x7b, 0x3c, 0x3c, 0x79, 0x3c, 0xe9, 0xa0, 0xd2, 0x3a,
    0x3b, 0x10, 0x10, 0x16, 0x10, 0x16, 0x2e, 0x0b, 0x20, 0x09, 0x0b, 0x89,
    0xc9, 0xe2, 0x10, 0x00, 0x10, 0x0f, 0x13, 0x35, 0x35, 0x3c, 0x3c, 0x3c,
    0x01, 0x3c, 0x3a, 0x3c, 0x35, 0x0b, 0x10, 0x11, 0x47, 0x39, 0x10, 0x10,
    0x5a, 0x3a, 0xc6, 0x3c, 0x3c, 0x1e, 0x0c, 0x0f, 0x15, 0x13, 0x38, 0x17,
    0x07, 0x3c, 0x00, 0x0f, 0x02, 0x03, 0x06, 0x08, 0x02, 0xe1, 0x09, 0xb5,
    0x87, 0x79, 0x11, 0x10, 0x10, 0x3b, 0x01, 0x61, 0xd2, 0x61, 0x3b, 0x89,
    0x22, 0x13, 0x10, 0x10, 0x0b, 0x04, 0x60, 0x10, 0x75, 0x43, 0x0b, 0x3c,
    0x35, 0x3c, 0x3c, 0x56, 0x3c, 0xe9, 0x3c, 0x05, 0x11, 0x12, 0x52, 0x3b,
    0x26, 0x3c, 0x3b, 0x35, 0x35, 0x38, 0x04, 0x0a, 0x10, 0x78, 0x16, 0x09,
    0x45, 0x0d, 0x94, 0x00, 0x02, 0x03, 0x3e, 0x06, 0x08, 0x01, 0x09, 0x03,
    0xad, 0x7e, 0x3a, 0xc0, 0x62, 0x47, 0x10, 0x0a, 0x13, 0x16, 0x10, 0x10,
    0x32, 0x16, 0x13, 0x06, 0x5b, 0x11, 0x0f, 0x22, 0x3c, 0x02, 0x3b, 0x3c,
    0x3c, 0x3c, 0x3c, 0x3c, 0x32, 0x0b, 0x9e, 0x0e, 0x3c, 0x38, 0x63, 0x3b,
    0xb6, 0x22, 0x13, 0xe0, 0x0d, 0x17, 0x07, 0x3c, 0x01, 0x03, 0x04, 0x08,
    0x6c, 0x08, 0x0c, 0x03, 0x3a, 0xa5, 0x7f, 0x3c, 0x3c, 0x40, 0x34, 0x41,
    0x11, 0x16, 0x13, 0x0b, 0x10, 0x16, 0xe0, 0x27, 0xbf, 0x74, 0x11, 0x10,
    0x10, 0x3c, 0x3c, 0x0c, 0x38, 0x3a, 0x3c, 0x3c, 0x57, 0x53, 0x3c, 0x3c,
    0x6e, 0x3c, 0xe9, 0xd4, 0x3c, 0x11, 0x82, 0x07, 0x10, 0x60, 0x10, 0x0f,
    0xbf, 0x3c, 0x3c, 0x02, 0x03, 0x06, 0x20, 0x08, 0x09, 0x07, 0x3c, 0x38,
    0x3c, 0x16, 0x10, 0x36, 0x13, 0x0a, 0x85, 0x72, 0x3a, 0x59, 0x41, 0x0f,
    0x19, 0x10, 0x10, 0x13, 0x52, 0xc1, 0x10, 0x0b, 0x0f, 0xa0, 0x72, 0x16,
    0x94, 0x3c, 0x3c, 0x3c, 0x3c, 0x3c, 0xc0, 0x24, 0x71, 0x0a, 0x11, 0x0b,
    0x16, 0x10, 0x3b, 0xbf, 0x61, 0x39, 0xda, 0x23, 0xc5, 0x01, 0xe9, 0xd3,
    0xc0, 0x37, 0x07, 0x3c, 0x3c, 0x03, 0x04, 0x08, 0x08, 0xda, 0x07, 0x02,
    0x3b, 0x96, 0x6c, 0x38, 0x5b, 0x3c, 0xa9, 0x02, 0x16, 0x35, 0x11, 0x07,
    0x10, 0x0b, 0x5d, 0x01, 0x13, 0x10, 0x10, 0x3b, 0x3c, 0x3c, 0x3c, 0xa6,
    0x88, 0x07, 0x10, 0x10, 0x0f, 0x97, 0x10, 0x3b, 0x3c, 0x1c, 0x3c, 0x3c,
    0x3c, 0x1f, 0x47, 0x03, 0x09, 0x08, 0x41, 0x05, 0x12, 0x3c, 0x06, 0x08,
    0x08, 0x09, 0x06, 0x11, 0x3c, 0x3c, 0x35, 0x61, 0x10, 0x10, 0x13, 0x7e,
    0x1d, 0x0f, 0x11, 0x0b, 0x79, 0x63, 0x56, 0x3b, 0x7c, 0xb4, 0x4c, 0x16,
    0x6b, 0x43, 0x10, 0x41, 0x3b, 0x11, 0xac, 0x83, 0x0b, 0x56, 0x11, 0xb7,
    0x43, 0x3c, 0x3c, 0x1c, 0x3c, 0x3c, 0x3c, 0x35, 0x3f, 0x06, 0x09, 0x08,
    0x88, 0x0b, 0x08, 0x08, 0x09, 0x2f, 0x3c, 0x3c, 0x35, 0xc6, 0x62, 0x87,
    0x10, 0x0b, 0x0f, 0x61, 0x6f, 0x10, 0x1d, 0x10, 0x16, 0x10, 0x85, 0x54,
    0x4a, 0x11, 0x2d, 0x02, 0x12, 0x3c, 0x3c, 0x38, 0x3c, 0x0a, 0x9a, 0x13,
    0x8c, 0x75, 0x10, 0x0a, 0x0f, 0xb6, 0x4b, 0x3c, 0x3c, 0x79, 0x3c, 0xe9,
    0x6f, 0x27, 0x04, 0x11, 0x10, 0x03, 0x52, 0x09, 0x07, 0x10, 0x7c, 0x38,
    0x3c, 0x77, 0x10, 0x35, 0x10, 0x16, 0x5d, 0x6f, 0x11, 0x8a, 0x3a, 0x63,
    0x9a, 0x39, 0x3b, 0x0b, 0x55, 0x39, 0x10, 0x31, 0x10, 0x20, 0x10, 0x13,
    0x7c, 0x10, 0x11, 0x14, 0x10, 0x10, 0xc0, 0x1d, 0x74, 0x13, 0x10, 0x3b,
    0x3c, 0x3c, 0x3c, 0x39, 0x3c, 0x3c, 0x05, 0x27, 0x06, 0x10, 0x10, 0x0f,
    0xf0, 0x7f, 0x73, 0x67, 0x2b, 0x0f, 0x3c, 0x39, 0x3c, 0x40, 0x36, 0x05,
    0x16, 0x10, 0x10, 0x3b, 0x3c, 0x3c, 0xba, 0xe9, 0x3c, 0xe9, 0xd3, 0x3c,
    0x0b, 0x02, 0x11, 0xb8, 0x8a, 0x0f, 0x7c, 0x4c, 0xa7, 0x0f, 0x10, 0x13,
    0x1f, 0x10, 0x10, 0x3b, 0x01, 0xe9, 0x2f, 0x2e, 0x7f, 0xb6, 0x0e, 0x0b,
    0x7f, 0x73, 0x3a, 0x5b, 0x65, 0x11, 0x1f, 0x10, 0x10, 0x35, 0x87, 0x49,
    0x01, 0xe9, 0xd4, 0xcb, 0xa2, 0x37, 0x17, 0x07, 0x21, 0x0b, 0x8f, 0x47,
    0x90, 0x04, 0x16, 0x10, 0x11, 0x3b, 0x3c, 0x3c, 0x3c, 0x30, 0x3c, 0x11,
    0x07, 0x06, 0x0e, 0x10, 0x10, 0x0f, 0x61, 0x13, 0x51, 0x12, 0x3c, 0x10,
    0x10, 0x0b, 0x01, 0x67, 0x14, 0x03, 0x7b, 0x3c, 0x3b, 0x5a, 0x83, 0x5b,
    0x44, 0x0b, 0x51, 0x10, 0x10, 0x11, 0x01, 0x13, 0x10, 0x17, 0x13, 0x3b,
    0x38, 0x91, 0x3b, 0x71, 0x59, 0xd3, 0xef, 0x4b, 0x21, 0x09, 0x0b, 0x22,
    0x2f, 0xa7, 0x5f, 0xbc, 0x13, 0x35, 0x07, 0x07, 0x77, 0x2d, 0x39, 0x3c,
    0x3d, 0x3c, 0x35, 0x07, 0x07, 0x04, 0x39, 0x38, 0xaf, 0xf0, 0x84, 0x07,
    0x02, 0x19, 0x3b, 0x3b, 0x3c, 0x3a, 0xbf, 0x01, 0x3b, 0x2f, 0x07, 0x7f,
    0x09, 0x17, 0x07, 0xc3, 0x7f, 0x35, 0x3a, 0x3c, 0x3c, 0x38, 0x06, 0xbe,
    0x1e, 0x3a, 0x3c, 0x3b, 0x07, 0xbf, 0x17, 0x2b, 0x3a, 0xee, 0x07, 0x57,
    0x0e, 0x35, 0x4f, 0x4f, 0x4d, 0x3b, 0x3e, 0x3c, 0x3b, 0x8f, 0x89, 0x17,
    0x8f, 0x16, 0x38, 0x9d, 0x1c, 0x3a, 0x37, 0x57, 0x0f, 0x03, 0x35, 0x03,
    0x71, 0x34, 0x17, 0x07, 0x77, 0x3c, 0x3c, 0x3b, 0x17, 0xbe, 0x01, 0x3a,
    0x07, 0x57, 0x77, 0x2f, 0x06, 0x1f, 0x10, 0x1a, 0x1f, 0x3b, 0x02, 0x3b,
    0x1f, 0x1c, 0x22, 0x6c, 0x1f, 0x37, 0x33, 0x1c, 0x81, 0x22, 0x1e, 0x1a,
    0x18, 0x1f, 0x1f, 0x1f, 0xe9, 0xd3, 0x1e, 0x1f, 0x1b, 0x04, 0x3c, 0x35,
    0x3c, 0x3c, 0x38, 0x41, 0x3c, 0x3c, 0x8c, 0x41, 0x3a, 0x3c, 0x35, 0xa4,
    0x7c, 0x1c, 0x1f, 0xfe, 0x9f, 0x57, 0x07, 0x2f, 0x7f, 0x37, 0x03, 0x35,
    0x04, 0x3c, 0x3c, 0x1f, 0x19, 0x1c, 0x04, 0x1f, 0x1f, 0x11, 0x1f, 0x1f,
    0x1f, 0x04, 0x3b, 0x3c, 0x38, 0x7b, 0x46, 0x1e, 0x33, 0x3a, 0x1f, 0x1e,
    0x23, 0x02, 0x1c, 0x28, 0x1c, 0x22, 0xd9, 0x1f, 0x43, 0x3c, 0x35, 0x3c,
    0xdc, 0x41, 0xa9, 0x3b, 0x8c, 0x5a, 0x7a, 0x38, 0x35, 0xdc, 0x6f, 0x3b,
    0x3a, 0xa7, 0x5f, 0x11, 0x35, 0x3c, 0x38, 0x3b, 0x3c, 0xe9, 0x27, 0x05,
    0x1f, 0x22, 0x1d, 0x40, 0x3a, 0xbc, 0x1c, 0x1f, 0x1c, 0x1f, 0x1f, 0x1f,
    0x37, 0x3c, 0x38, 0x02, 0x69, 0x3b, 0x9a, 0x36, 0x39, 0x94, 0xe2, 0x1f,
    0x1e, 0xab, 0x1d, 0x3a, 0x3b, 0x3a, 0x9e, 0x31, 0x1f, 0x1c, 0x01, 0x99,
    0xd4, 0x81, 0x1f, 0x0a, 0x1a, 0x1f, 0x3c, 0x3a, 0x31, 0x3b, 0x41, 0x38,
    0xfc, 0x27, 0xbf, 0x77, 0x2f, 0x07, 0x02, 0x3a, 0x3c, 0x02, 0x1c, 0x1d,
    0x1e, 0x39, 0x3c, 0x35, 0x01, 0x1f, 0x14, 0x1f, 0x1f, 0x1a, 0xe1, 0x1f,
    0x05, 0x35, 0x35, 0x10, 0x1f, 0x1f, 0x1c, 0xa4, 0x1f, 0x1d, 0x1f, 0x3c,
    0x03, 0x3a, 0x3c, 0x3c, 0x38, 0x3c, 0x38, 0xe1, 0x82, 0x73, 0x1f, 0x86,
    0xb1, 0x39, 0x3c, 0x3b, 0x52, 0x6a, 0x90, 0x31, 0x1f, 0x1f, 0x91, 0x38,
    0x3c, 0x3c, 0x35, 0xfe, 0x63, 0x3b, 0xb7, 0x6f, 0x27, 0x07, 0x06, 0x22,
    0x00, 0x1f, 0x1a, 0x3c, 0x3c, 0x38, 0x3c, 0x38, 0x3c, 0x00, 0x1f, 0x1f,
    0x22, 0x3c, 0x1d, 0x1f, 0x1f, 0x1f, 0x43, 0x1f, 0x04, 0x3a, 0x3c, 0x1c,
    0x22, 0xad, 0x67, 0x9c, 0x31, 0x34, 0x3b, 0x7b, 0x85, 0x37, 0x3c, 0x35,
    0x04, 0x3c, 0x35, 0x3c, 0x3c, 0x1e, 0x39, 0x1f, 0x1c, 0xbf, 0x1a, 0x38,
    0x4d, 0x15, 0x97, 0x4f, 0x07, 0x07, 0x81, 0x04, 0x1f, 0x22, 0x1f, 0x3c,
    0x3c, 0x35, 0x01, 0x00, 0x1d, 0x1f, 0x22, 0x3c, 0x3c, 0x3a, 0x1f, 0x1c,
    0x61, 0x1e, 0x81, 0x01, 0x3a, 0x3c, 0x1f, 0x1f, 0xb4, 0x12, 0x3c, 0x1f,
    0x1c, 0x6a, 0x35, 0x35, 0x53, 0x38, 0xde, 0x7a, 0x86, 0x1f, 0xb2, 0x72,
    0x01, 0x43, 0x3a, 0x87, 0x1c, 0x39, 0x3c, 0x3c, 0x3b, 0x57, 0x0f, 0x77,
    0xe0, 0x2f, 0x07, 0x07, 0x1f, 0x1d, 0x1f, 0x3c, 0x3c, 0x03, 0x3a, 0x3c,
    0x3c, 0x35, 0x1f, 0x1f, 0xb9, 0x81, 0x81, 0xc1, 0x1a, 0x3c, 0x3c, 0x38,
    0x3c, 0x38, 0x79, 0xc6, 0x41, 0x6a, 0x1e, 0x1b, 0x3b, 0xb4, 0x8b, 0x3c,
    0x21, 0x39, 0x1f, 0x86, 0x1c, 0x1e, 0x1f, 0x3c, 0x37, 0x08, 0x3c, 0x1f,
    0x1f, 0x1f, 0x62, 0x1c, 0x23, 0x3c, 0x07, 0x3c, 0x35, 0x3c, 0x3a, 0x35,
    0x47, 0xbf, 0x77, 0xe2, 0x2f, 0x07, 0x06, 0x22, 0x1f, 0x1f, 0x01, 0x35,
    0x10, 0x3c, 0x3c, 0x1c, 0xbb, 0x3c, 0x3c, 0x1f, 0x1f, 0x43, 0x1a, 0x69,
    0x3a, 0x3c, 0x3c, 0x1e, 0x7d, 0x71, 0xc4, 0xbd, 0x8c, 0x3c, 0x3c, 0x1c,
    0x86, 0x1f, 0x1f, 0x52, 0x1c, 0x01, 0x3a, 0xe9, 0x3c, 0x38, 0x4d, 0x37,
    0xc3, 0x59, 0x15, 0x3c, 0x2d, 0x2d, 0x2d, 0xe9, 0xd4, 0xf8, 0xa7, 0x5f,
    0x17, 0x07, 0x01, 0x1f, 0x1f, 0x1f, 0x22, 0x29, 0x2c, 0x02, 0x22, 0x1f,
    0x1f, 0x01, 0x2c, 0x61, 0x28, 0x72, 0xab, 0x1f, 0x1f, 0x1c, 0x2d, 0x32,
    0x12, 0x2b, 0x21, 0x22, 0x32, 0x2d, 0x29, 0xda, 0x2d, 0xe3, 0x6a, 0x0b,
    0x82, 0x1f, 0x1d, 0x1c, 0x37, 0x51, 0xa1, 0x4a, 0x31, 0xc5, 0x28, 0x2d,
    0x2c, 0x3c, 0x4b, 0xfc, 0x23, 0xb7, 0x6f, 0x27, 0x07, 0x02, 0x2c, 0x1f,
    0x00, 0x1b, 0x1f, 0x2d, 0x2d, 0x29, 0x2d, 0x29, 0x2c, 0x33, 0x1f, 0x1f,
    0xb9, 0x02, 0x2b, 0x2d, 0xa9, 0x59, 0x28, 0x1f, 0x1e, 0x31, 0x2b, 0x61,
    0x1f, 0x1e, 0x1c, 0x18, 0x2d, 0x2d, 0x2c, 0x1c, 0x01, 0x29, 0x2d, 0x1a,
    0x81, 0x86, 0x1f, 0x1b, 0x1d, 0x2d, 0x2c, 0x29, 0x34, 0x18, 0x28, 0x1c,
    0x1f, 0xd9, 0x52, 0x19, 0x1f, 0x2e, 0x9f, 0x1a, 0x26, 0x3c, 0x3c, 0x0c,
    0xa7, 0x5f, 0x17, 0x81, 0x07, 0x2d, 0x2d, 0x29, 0x1f, 0x1a, 0x1f, 0x04,
    0x21, 0x1f, 0x1f, 0xbd, 0x28, 0x29, 0x2d, 0x1c, 0x9a, 0xc4, 0xd9, 0x36,
    0x1c, 0x2d, 0x28, 0x24, 0x2d, 0x2b, 0x31, 0x29, 0x29, 0x79, 0x86, 0x1f,
    0x1f, 0x1f, 0x45, 0xb9, 0xa2, 0x1e, 0x01, 0x11, 0x52, 0x2b, 0x30, 0x01,
    0x7e, 0x3c, 0x27, 0xbf, 0x77, 0x2f, 0x07, 0x04, 0x1f, 0x32, 0x1f, 0x1f,
    0xbf, 0x07, 0x2d, 0x1c, 0x49, 0x1f, 0x24, 0x1e, 0x1d, 0x37, 0x2d, 0x29,
    0x22, 0x29, 0x2c, 0xe0, 0x7e, 0x84, 0x33, 0x2d, 0x2b, 0x2d, 0x2d, 0x28,
    0x1d, 0x2d, 0x2d, 0x1d, 0xa1, 0x89, 0xd3, 0x22, 0x4a, 0x03, 0x29, 0x2c,
    0x3b, 0x2d, 0x2d, 0x2d, 0xe9, 0xd4, 0xf8, 0xa7, 0x5f, 0x17, 0x07, 0x01,
    0x1f, 0x1f, 0x1f, 0xee, 0xbf, 0x4f, 0x49, 0x1e, 0x39, 0x37, 0x34, 0x28,
    0xa8, 0x05, 0x28, 0x3a, 0x2c, 0x81, 0x2a, 0x1f, 0x22, 0x20, 0x1f, 0x25,
    0xab, 0x2d, 0x2d, 0x1f, 0x1c, 0x1f, 0x11, 0x1f, 0x1f, 0x1f, 0xd4, 0x1d,
    0x1f, 0x1f, 0x6a, 0x7f, 0x3c, 0x42, 0x22, 0xc6, 0x87, 0x3f, 0x07, 0x06,
    0x18, 0x1f, 0x1f, 0x1f, 0xbf, 0x07, 0x2d, 0x2d, 0x2f, 0x06, 0x2d, 0x1f,
    0x1a, 0x1f, 0x1e, 0x37, 0x37, 0x2d, 0x58, 0x28, 0x01, 0x1e, 0x86, 0x37,
    0x2d, 0x1f, 0x1d, 0x1c, 0x1f, 0x1f, 0x1a, 0x89, 0x71, 0x59, 0x1d, 0x1d,
    0xbf, 0x42, 0x3c, 0x25, 0xcd, 0x97, 0x4f, 0x07, 0x07, 0x0e, 0x2d, 0x1f,
    0x1f, 0x1f, 0xbf, 0x07, 0x01, 0x2b, 0x35, 0x29, 0x1a, 0x37, 0x33, 0x29,
    0x3e, 0x2d, 0x31, 0x32, 0x2d, 0x2c, 0x83, 0x31, 0x2c, 0x27, 0xa1, 0x2d,
    0x1c, 0x1c, 0x1e, 0x1f, 0x32, 0x02, 0x49, 0x33, 0x24, 0x2f, 0x1f, 0x1e,
    0x09, 0x3b, 0x86, 0x46, 0x87, 0x3f, 0xc6, 0x07, 0x06, 0x1f, 0x1f, 0x1f,
    0xbf, 0x07, 0x29, 0xb4, 0x02, 0x1a, 0x37, 0x35, 0x26, 0x02, 0x2b, 0x2d,
    0x60, 0x2b, 0x79, 0x3c, 0x2b, 0x1f, 0x1f, 0x1e, 0x29, 0x8a, 0x2b, 0x1f,
    0x1c, 0x1a, 0x1c, 0x32, 0x34, 0x1f, 0x07, 0x1e, 0x1e, 0x2d, 0x2d, 0x3c,
    0xa4, 0x74, 0xa7, 0xf1, 0x5f, 0x17, 0x07, 0x01, 0x1f, 0x1f, 0x1f, 0xbf,
    0xc5, 0x07, 0x03, 0x1e, 0x1c, 0x1d, 0x36, 0x1c, 0x01, 0x40, 0x29, 0x14,
    0x2b, 0x2d, 0x2d, 0x1a, 0x22, 0x1f, 0xa2, 0x01, 0x2c, 0x69, 0x1d, 0x1f,
    0x1f, 0x4b, 0x1f, 0x7b, 0x1f, 0x72, 0x03, 0xc4, 0x7b, 0x3c, 0x67, 0x1f,
    0xf1, 0x77, 0x2f, 0x07, 0x04, 0x1f, 0x1f, 0x1f, 0xbf, 0xc1, 0x07, 0x01,
    0x2c, 0x2d, 0x1c, 0x1f, 0x1a, 0x36, 0x40, 0x22, 0x19, 0x1a, 0x1f, 0x1f,
    0x1c, 0x1f, 0x1c, 0x88, 0xba, 0x1d, 0x1f, 0x1f, 0x3a, 0x2c, 0x29, 0x2b,
    0x20, 0x1f, 0x1e, 0xb3, 0x2d, 0x1f, 0x1f, 0x1e, 0x28, 0x08, 0x2d, 0x29,
    0x2d, 0x29, 0x9b, 0x2d, 0x2d, 0x28, 0x8f, 0x72, 0x1f, 0x2d, 0x3c, 0x8d,
    0x55, 0x97, 0x4f, 0xc3, 0x07, 0x07, 0x2d, 0x1f, 0x1f, 0x1f, 0xbf, 0x37,
    0xe9, 0x37, 0x36, 0x19, 0x1a, 0x81, 0x1b, 0x1d, 0xa4, 0xe1, 0x44, 0x33,
    0xaa, 0x1e, 0x1f, 0x0d, 0x2b, 0x69, 0x60, 0x2c, 0x4d, 0xa2, 0x1f, 0x1f,
    0x1c, 0x1f, 0x3c, 0x3f, 0x3c, 0x3c, 0xe9, 0xd4, 0xa7, 0x5f, 0x17, 0x07,
    0xff, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0xe0, 0x07, 0x07,
    0x04,
};

void boot_screen_Load(void)
    {
        if(boot_flag == 0)
        {
            for (x=0;x<=2000000;x++);

            sRect_Label.i16XMin = 0;
          sRect_Label.i16YMin = 0;
          sRect_Label.i16XMax = GrContextDpyWidthGet(&sContext_Label) - 1;
          sRect_Label.i16YMax = 240;




            GrContextForegroundSet(&sContext_Label, ClrWhite);
        GrRectFill(&sContext_Label, &sRect_Label);


        //  GrContextForegroundSet(&sContext_Label, BACKGROUND_COLOR);
        //  GrImageDraw(&sContext_Label, g_pucImage,  80, 30);            //Display the logo "India"

            sRect_Label.i16XMin = 40;     //55
        sRect_Label.i16YMin = 40;
        sRect_Label.i16XMax = 275; //260
        sRect_Label.i16YMax = 85;

            GrContextForegroundSet(&sContext_Label, ClrBlack);
        GrRectFill(&sContext_Label, &sRect_Label);

            GrContextFontSet(&sContext_Label, &g_sFontCmss40b);
            GrContextForegroundSet(&sContext_Label, ClrWhite);
            GrStringDrawCentered(&sContext_Label,"EDS-400D", -1,GrContextDpyWidthGet(&sContext_Label) / 2, 60, 0);


            GrContextFontSet(&sContext_Label, &g_sFontCmss22b);
            GrContextForegroundSet(&sContext_Label, ClrBlack);     // for font colur

            GrContextBackgroundSet(&sContext_Label, ClrWhite);     //needed to change the backgrount of the text/font


            sprintf(pcBuffer, "Hardware Version: %.2f",HARDWARE_VER);
            GrStringDraw(&sContext_Label, pcBuffer, -1,40, 115, 1);
            sprintf(pcBuffer, "Software Version: %.2f",SOFTWARE_VER);
            GrStringDraw(&sContext_Label, pcBuffer, -1,40, 140, 1);



            GrContextFontSet(&sContext_Label, &g_sFontCm22b);
            GrStringDraw(&sContext_Label, "Selftest. Please Wait....", -1, 40, 205, 0);

            GrFlush(&sContext_Label);



            // Draw the box inside which we will draw the animation.
            sRect_Label.i16XMin = ANIM_LEFT;
                sRect_Label.i16YMin = ANIM_TOP+5;//15
                sRect_Label.i16XMax = (ANIM_LEFT + ANIM_WIDTH) - 1;
                sRect_Label.i16YMax = ((ANIM_TOP+5) + ANIM_HEIGHT) - 1;
                GrContextForegroundSet(&sContext_Label, ClrGreen);
                GrRectDraw(&sContext_Label, &sRect_Label);

            // Initialize the animation variables.
            ulAnimPos = ANIM_LEFT;
            ulColor = ClrGreen;


            boot_flag = 1;
            boot_cnt = 0;

        }



        boot_cnt++;
      ulAnimPos ++;

        for (x=0;x<=60000;x++)  ;

        if(ulAnimPos == ((ANIM_LEFT + ANIM_WIDTH) - 1))
        {
            //
            // We've reached the right edge so change color and move back
            // to the left.
            //
            ulAnimPos = ANIM_LEFT + 10;

            if ( x==1)
            {
                ulColor = ClrGreen;
                x=2;
            }
            else
            {
                ulColor = ClrGreenYellow;
                x=1;
            }
        }
        GrContextForegroundSet(&sContext_Label, ulColor);
        GrLineDrawV(&sContext_Label, ulAnimPos, ((ANIM_TOP+5) + 1),(((ANIM_TOP+5) + ANIM_HEIGHT)) - 2); //15
        GrLineDrawV(&sContext_Label, ulAnimPos+1, ((ANIM_TOP+5) + 1),(((ANIM_TOP+5) + ANIM_HEIGHT)) - 2); //15
        GrLineDrawV(&sContext_Label, ulAnimPos+2, ((ANIM_TOP+5) + 1),(((ANIM_TOP+5) + ANIM_HEIGHT)) - 2); //15
    }
