//*****************************************************************************
//
// counter.c - Counter for F-Out & Scanning head
//
// Company Name- Zera India Private limited.  
// Author - Rajesh Varma
// Date - 04/09/2017
// Revision - 0
//
// Remarks
//
//
//*****************************************************************************

#include <stdbool.h>
#include <stdint.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "inc/hw_memmap.h"
#include "inc/hw_ints.h"
#include "driverlib/sysctl.h"
#include "driverlib/gpio.h"
#include "driverlib/sysctl.h"
#include "driverlib/timer.h"
//#include "driverlib/rom.h"
#include "driverlib/rom_map.h"
#include "driverlib/pin_map.h"
#include "driverlib/interrupt.h"




/* Fout Counter */

void fout_counter_init ( void)
    {

        MAP_SysCtlPeripheralEnable(SYSCTL_PERIPH_GPIOB);

        MAP_GPIOPinConfigure(GPIO_PB7_T6CCP1  );                    // Configure the Timer2 CCP5 function to use PB7
        MAP_GPIOPinTypeTimer(GPIO_PORTB_BASE, GPIO_PIN_7);
        MAP_SysCtlPeripheralEnable(SYSCTL_PERIPH_TIMER6);      // Set up Timer2B for edge-timer mode, positive edge
        MAP_TimerConfigure(TIMER6_BASE, TIMER_CFG_SPLIT_PAIR | TIMER_CFG_B_CAP_COUNT);
        MAP_TimerControlEvent(TIMER6_BASE, TIMER_B, TIMER_EVENT_POS_EDGE);
        MAP_TimerLoadSet(TIMER6_BASE, TIMER_B, 0x0001);
        MAP_TimerMatchSet(TIMER6_BASE, TIMER_B, 0x0000);
        MAP_TimerIntEnable(TIMER6_BASE, TIMER_CAPB_MATCH);
        MAP_IntEnable(INT_TIMER6B);

    }



void timer0_init(void)
    {
        MAP_SysCtlPeripheralEnable(SYSCTL_PERIPH_TIMER0);           // Enable the peripherals
        MAP_TimerConfigure(TIMER0_BASE, TIMER_CFG_PERIODIC);        // Configure the two 32-bit periodic timers.
        MAP_TimerLoadSet(TIMER0_BASE, TIMER_A, (SysCtlClockGet()/100));  //1 sec
        MAP_IntEnable(INT_TIMER0A);                                 // Setup the interrupts for the timer timeouts.
        MAP_TimerIntEnable(TIMER0_BASE, TIMER_TIMA_TIMEOUT);
        MAP_TimerEnable(TIMER0_BASE, TIMER_A);                      // Enable the timers.

    }

