//*****************************************************************************
/// function_routine.c

/// Company Name- Zera India Private limited.  
/// Author - Rajesh Varma
/// Date - 26/12/2020
/// Revision - 0

/// Remarks: Main loop consist of diffrent function implemented in switch case
///
//****************************************************************************
#include <stdbool.h>
#include <stdint.h>
#include <stdio.h>
#include <string.h>
#include "driverlib/sysctl.h"
#include "grlib/grlib.h"
#include "drivers/frame.h"
#include "drivers/kentec320x240x16_ssd2119.h"
#include "drivers/pinout.h"
#include "macros.h"
#include "extern_variables.h"



//*********************************************************************************************
///
/// void Null_char_position(register unsigned char position, char *array)
/// I/p: position(length) after which put null charcter and buffer value
/// O/P: noting
/// Remark: This function will put null charcter at the end of buffer
//**********************************************************************************************

void Null_char_position(register unsigned char position, char *array)
{
    register unsigned char x;

        for (x=0;x<=29;x++)        //maximum length we can use
        {
            if(*array == NULL)
            break;
            array++;
        }
        for (;x<position;x++)   //till postion keep blank space
        {
            *array = 0X20;
            array++;
        }                      //At the end put null charcter
        *array = NULL;
}



//*********************************************************************************************
///
/// void End_with_percentage_sign(register unsigned char position, char *array)
/// I/p: position and buffer value after which  % sign should be put
/// O/P: noting
/// Remark: This function will put % after the buffer value
//**********************************************************************************************

void End_with_percentage_sign(register unsigned char position, char *array)
{
    register unsigned char x;

        for (x=0;x<=29;x++)        // maximum length
        {
            if(*array == NULL)
            break;
            array++;
        }
        *array = 0X20;
            array++;
        *array = '%';
            array++;
        x = x+2;
        for (;x<position;x++)            //Lengthafter which null charcter put
        {
            *array = 0X20;
            array++;
        }
        *array = NULL;

  
}

//**************************************************************************************************
 //*****************************************************************************
///
/// void Fix_Graphics(void)
/// I/p: Nothing
/// O/P: noting
/// Remark: This function will be called every time page change
//*****************************************************************************/

void Fix_Graphics(void)
{
    GrContextInit(&sContext_Label, &g_sKentec320x240x16_SSD2119); //LCD Intialisation

    sRect_Label.i16XMin = 0;
    sRect_Label.i16YMin = 0;                    // previous value 0
    sRect_Label.i16XMax = GrContextDpyWidthGet(&sContext_Label) - 1;
    sRect_Label.i16YMax = 240;
    GrContextForegroundSet(&sContext_Label, BACKGROUND_COLOR);
    GrRectFill(&sContext_Label, &sRect_Label);

    GrContextForegroundSet(&sContext_Label, ClrLime);
    GrLineDrawH(&sContext_Label, 0,315,51);
    GrLineDrawH(&sContext_Label, 0,315,52);
    GrLineDrawH(&sContext_Label, 0,315,53);

    GrContextForegroundSet(&sContext_Label, ClrLime);
    GrLineDrawH(&sContext_Label, 0,315,201);
    GrLineDrawH(&sContext_Label, 0,315,202);
    GrLineDrawH(&sContext_Label, 0,315,203);

} 
